> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fleetit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Credit Note

> Retrieve a single credit note.



## OpenAPI

````yaml get /v2/driver-credit-notes/{id}/
openapi: 3.0.3
info:
  title: Fleet IT Customer API
  version: 2.0.0
  description: >-
    Public API for Fleet IT platform customers.


    For detailed guides, authentication setup, error codes, and integration
    examples, see the [Fleet IT
    Documentation](https://docs.fleetit.com/documentation/overview).


    ## Headers


    All authenticated endpoints accept an optional `Fleet-Id` header (integer)
    to specify which fleet to operate on. If omitted, the user's default fleet
    is used.
servers: []
security:
  - JWT: []
  - APIKey: []
externalDocs:
  url: https://docs.fleetit.com/documentation/overview
  description: Fleet IT Documentation
paths:
  /v2/driver-credit-notes/{id}/:
    get:
      tags:
        - Driver Billing (v2)
      operationId: v2_driver_credit_notes_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DriverCreditNote'
          description: ''
components:
  schemas:
    DriverCreditNote:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        invoice:
          type: integer
          readOnly: true
        credit_note_number:
          type: string
          readOnly: true
        driver:
          allOf:
            - $ref: '#/components/schemas/Driver'
          readOnly: true
        fleet:
          type: integer
          readOnly: true
        reason:
          $ref: '#/components/schemas/DriverCreditNoteReasonEnum'
        notes:
          type: string
        status:
          allOf:
            - $ref: '#/components/schemas/DriverCreditNoteStatusEnum'
          readOnly: true
        total:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,2})?$
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        voided_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        pdf_status:
          readOnly: true
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PdfStatusEnum'
            - $ref: '#/components/schemas/NullEnum'
        items:
          type: array
          items:
            $ref: '#/components/schemas/DriverCreditNoteItem'
          readOnly: true
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/DriverCreditNoteAttachment'
          readOnly: true
      required:
        - attachments
        - created_at
        - credit_note_number
        - driver
        - fleet
        - id
        - invoice
        - items
        - pdf_status
        - reason
        - status
        - total
        - voided_at
    Driver:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        email:
          type: array
          items:
            type: string
            format: email
        driver_id:
          type: string
          nullable: true
          maxLength: 255
        first_name:
          type: string
          maxLength: 100
        last_name:
          type: string
          maxLength: 100
        address_line_1:
          type: string
          maxLength: 100
        address_line_2:
          type: string
          nullable: true
          maxLength: 100
        city:
          type: string
          maxLength: 50
        state:
          type: string
          maxLength: 2
        zip:
          type: string
          maxLength: 10
          minLength: 5
        contact_number:
          type: string
          nullable: true
          maxLength: 15
      required:
        - address_line_1
        - city
        - first_name
        - id
        - state
        - zip
    DriverCreditNoteReasonEnum:
      enum:
        - duplicated_charge
        - billing_error
        - dispute
        - goodwill
        - other
      type: string
      description: |-
        * `duplicated_charge` - Duplicated Charge
        * `billing_error` - Billing Error
        * `dispute` - Dispute
        * `goodwill` - Goodwill
        * `other` - Other
    DriverCreditNoteStatusEnum:
      enum:
        - FINALIZED
        - VOID
      type: string
      description: |-
        * `FINALIZED` - Finalized
        * `VOID` - Void
    PdfStatusEnum:
      enum:
        - PENDING
        - IN_PROGRESS
        - COMPLETE
      type: string
      description: |-
        * `PENDING` - Pending
        * `IN_PROGRESS` - In Progress
        * `COMPLETE` - Complete
    NullEnum:
      enum:
        - null
    DriverCreditNoteItem:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        fee_id:
          type: integer
          nullable: true
        description:
          type: string
          maxLength: 255
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,2})?$
      required:
        - amount
        - description
        - id
    DriverCreditNoteAttachment:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        type:
          type: string
          readOnly: true
        object_id:
          type: integer
          maximum: 2147483647
          minimum: 0
        detail:
          type: string
          readOnly: true
      required:
        - detail
        - id
        - object_id
        - type
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      in: header
      name: Authorization

````